aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/hooks/post-save
diff options
context:
space:
mode:
authorLukas Fleischer <lfleischer@calcurse.org>2016-02-07 13:18:25 +0100
committerLukas Fleischer <lfleischer@calcurse.org>2016-02-07 13:18:25 +0100
commite40646d30f71bde50ae1d8b6e10262d760efe5de (patch)
tree2956f1c07b683556576f86e8bd050432c9b515f9 /contrib/hooks/post-save
parentcfd9fc316d2d96afbe5a5e3ff1bbc33d199ac850 (diff)
downloadcalcurse-e40646d30f71bde50ae1d8b6e10262d760efe5de.tar.gz
calcurse-e40646d30f71bde50ae1d8b6e10262d760efe5de.zip
Fix file name of the example hook
Signed-off-by: Lukas Fleischer <lfleischer@calcurse.org>
Diffstat (limited to 'contrib/hooks/post-save')
-rwxr-xr-xcontrib/hooks/post-save10
1 files changed, 10 insertions, 0 deletions
diff --git a/contrib/hooks/post-save b/contrib/hooks/post-save
new file mode 100755
index 0000000..d68461a
--- /dev/null
+++ b/contrib/hooks/post-save
@@ -0,0 +1,10 @@
+#!/bin/sh
+#
+# Copy this file into ~/.calcurse/hooks/ and mark it executable to
+# automatically commit any changes to the calcurse data files using Git.
+
+cd "$HOME"/.calcurse/
+git add *
+if ! git diff-index --quiet --cached HEAD; then
+ git commit -m "Automatic commit by the post-save hook"
+fi